Bug 740246 - [abrt] meld-1.5.2-1.fc15: filediff.py:851:on_text_delete_range:AssertionError
Summary: [abrt] meld-1.5.2-1.fc15: filediff.py:851:on_text_delete_range:AssertionError
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6447046c5d6e3de9675d0685729...
: 740248 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:03 UTC by Robbin
Modified: 2012-08-07 19:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:50:23 UTC


Attachments (Terms of Use)

Description Robbin 2011-09-21 13:03:36 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        python /usr/bin/meld java/java/com/orcsoftware/liquidator/connected/InstrumentImpl.java /home/ribbones/svn_repo/trunk/liquidator/servers/liquidator/java/java/com/orcsoftware/liquidator/connected/InstrumentImpl.java
comment:        I edited files (in meld) while they where beeing diffed.
component:      meld
executable:     /usr/bin/meld
kernel:         2.6.40.4-5.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        meld-1.5.2-1.fc15
reason:         filediff.py:851:on_text_delete_range:AssertionError
time:           Tue Sep 20 14:40:35 2011
uid:            500
username:       ribbones

backtrace:
:filediff.py:851:on_text_delete_range:AssertionError
:
:Traceback (most recent call last):
:  File "/usr/share/meld/meld/filediff.py", line 851, in on_text_delete_range
:    assert self.deleted_lines_pending == -1
:AssertionError
:
:Local variables in innermost frame:
:text: u'\t * Internal method that will get the current depth. The returned double array has twice as \n\t * many elements as the number of levels. Every even item is a price and every odd item is a volume.<br>\n'
:self: <FileDiff object at 0x2d21e60 (meld+filediff+FileDiff at 0x2de3e00)>
:buf: <gtk.TextBuffer object at 0x2d24190 (GtkTextBuffer at 0x2e5cbc0)>
:it0: <GtkTextIter at 0x32572d0>
:it1: <GtkTextIter at 0x2efc590>

Comment 1 Michael Spahn 2012-03-06 14:21:33 UTC
*** Bug 740248 has been marked as a duplicate of this bug. ***

Comment 2 Michael Spahn 2012-03-06 14:23:25 UTC
Is this bug still present?

I can't reproduce.

:-)

Comment 3 Fedora End Of Life 2012-08-07 19:50:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.